<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<title>Music All In</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link th:href="@{/img/mini-logo.ico}" rel="icon" type="image/ico" sizes="any">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
<link th:href="@{/css/style.css}" rel="stylesheet">
<link th:href="@{/css/simple-line-icons.css}" rel="stylesheet">
<link th:href="@{/css/pace.css}" rel="stylesheet">
<link href="../../datatables/DataTables-1.10.20/css/dataTables.bootstrap4.css" rel="stylesheet">
<link href="../../datatables/DataTables-1.10.20/css/dataTables.buttons.css" rel="stylesheet">
</head>
<body id="sidebar" class="app header-fixed sidebar-fixed aside-menu-fixed sidebar-lg-show">
	<th:block th:include="fragments/header"></th:block>
	<div class="app-body">
		<th:block th:include="fragments/sidebar"></th:block>
		<main class="main">
			<div class="container-fluid">
				<nav aria-label="breadcrumb">
					<ol class="breadcrumb">
						<li class="breadcrumb-item active" aria-current="page">Rental List</li>
					</ol>
				</nav>
                <section class="page-content">
                	<div class="position-relative border-bottom page-title">
                        <h2>Rental List</h2>
                        <div class="position-absolute back-button">
                            <button class="btn btn-primary goto" onclick="history.back(-1)">Back</button>
                        </div>
                    </div>
                    <div class="animated fadeIn">
						<div class="text-center card-body col-md-12">
							<div th:switch="${rentals}" class="container mt-3">
								<div class="col-md-12 mt-4">
									<h2 th:case="null">No Rentals yet!</h2>
									<div th:case="*">
										<table id="rentalsTable" class="table table-bordered table-hover table-sm" style="width:100%">
											<thead class="thead-dark">
												<tr>
		                                            <th colspan="3" class="text-center" style="padding-right:0px;border-color:#9ea8b1;border-right: 3px solid #9ea8b1"><strong>Student</strong></th>
		                                            <th colspan="2" class="text-center" style="padding-right:0px;border-color:#9ea8b1;border-right: 3px solid #9ea8b1"><strong>Instrument</strong></th>
		                                        </tr>
												<tr>
													<th>Full Name</th>
													<th>Username</th>
													<th>Email</th>
													<th>Name</th>
													<th>Rate</th>
												</tr>
											</thead>
											<tbody>
												<tr th:each="rental : ${rentals}" style="height: 42px;">
													<td th:text="${rental.studentName}"></td>
													<td th:text="${rental.username}"></td>
													<td th:text="${rental.email}"></td>
													<td th:text="${rental.instrumentName}"></td>
													<td th:text="'$' + ${rental.instrumentCost}"></td>
												</tr>
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
                </section>
			</div>
		</main>
	</div>
	<th:block th:include="fragments/footer"></th:block>
	<script src="../../js/jquery.js"></script>
	<script	src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
	<script src="../../datatables/DataTables-1.10.20/js/jquery.dataTables.js"></script>
    <script src="../../datatables/DataTables-1.10.20/js/dataTables.bootstrap4.js"></script>
    <script src="../../datatables/DataTables-1.10.20/js/dataTables.buttons.js"></script>	
	<script src="../../js/pace.js"></script>
	<script src="../../js/jquery.blockUI.js"></script>
	<script src="../../js/action.js"></script>
	<script src="../../js/fragments/sidebar.js"></script>
	<script th:src="@{/js/admin/rental-list.js}"></script>
</body>
</html>